org.codehaus.plexus.metadata.merge

## Interface Merger

All Known Implementing Classes:
  AbstractMerger, ComponentsXmlMerger, PlexusXmlMerger

    public interface Merger

Version:
  $Id: Merger.java 7868 2008-11-23 08:38:00Z jvanzyl $
Author:
  Rahul Thakur

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

Methods
`org.jdom.Document` `merge(org.jdom.Document dDocument, org.jdom.Document rDocument)` Merge with the recessive document.
`void` `mergeDescriptors(java.io.File outputDescriptor, java.util.List<java.io.File> descriptors)`
`void` `writeMergedDocument(org.jdom.Document mergedDocument, java.io.File file)` Allows writing out a merged JDom Document to the specified file.

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### merge

    org.jdom.Document merge(org.jdom.Document dDocument,
                          org.jdom.Document rDocument)
                            throws MergeException

Merge with the recessive document.

Parameters:
  `dDocument` - the dominant document.
  `rDocument` - the recessive document.
Returns:
  the merged `Document` instance.
Throws:
  `MergeException` - if there was an error in merge.

#### writeMergedDocument

    void writeMergedDocument(org.jdom.Document mergedDocument,
                           java.io.File file)
                             throws java.io.IOException

Allows writing out a merged JDom Document to the specified file.

Parameters:
  `mergedDocument` - the merged `Document` instance.
  `file` - File to write the merged contents to.
Throws:
  `java.io.IOException` - if there was an error while writing merged contents to the specified file.

#### mergeDescriptors

    void mergeDescriptors(java.io.File outputDescriptor,
                        java.util.List<java.io.File> descriptors)
                          throws java.io.IOException

Throws:
  `java.io.IOException`